Subject: Re: [PATCH] config.mak.dev: enable -Wunreachable-code

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Mar 2025 11:50:20 -0700

Jeff King <[email-masked]> writes:

> Maybe not often, if there is only one instance in the current code base.
> Or maybe a lot, but we wouldn't know because we haven't had the warning
> enabled.
>
> I guess another option is to enable it in _one_ CI job that uses clang
> on Linux (maybe linux-sha256?) and see how often it is helpful or
> harmful.

The reason why you said Linux rather than macOS is because the
single instance we know about would not have to be worked around if
we did it that way?

I am OK with that.  

Thanks.